:host {

  nz-spin {
    height: 100%;
    overflow: hidden;
  }

  ::ng-deep.ant-spin-container {
    height: 100%;
    overflow: hidden;
  }

  ::ng-deep.ant-card {
    height: 100%;
    overflow: hidden;
    position: relative;
  }

  ::ng-deep.ant-card-body {
      height: 100%;
      overflow: hidden;
      padding: 12px;
  }

  .pane-container {
    overflow: hidden;
    height: 100%;
    width: 100%;
  }

  .pane-surface {
    background: #f0f2f5;
    min-width: 100%;
    min-height: 100%;
    &.panning {
      cursor: move;
    }
  }

  ::ng-deep.pane-surface .gridster-column {
    border-left: 1px solid rgba(0, 0, 0, 0.10) !important;
    border-right: 1px solid rgba(0, 0, 0, 0.10) !important;
  }

  ::ng-deep.pane-surface .gridster-row {
    border-top: 1px solid rgba(0, 0, 0, 0.10) !important;
    border-bottom: 1px solid rgba(0, 0, 0, 0.10) !important;
  }

  ::ng-deep.pane-surface .gridster-preview {
    background: rgba(50, 88, 255, 0.10);
  }
}

//*** Jsplumb style definitions **/
::ng-deep.jtk-endpoint {
  z-index: 2;
  cursor: crosshair;

  circle {
    fill: rgb(150, 158, 162);
  }

  &.highlighted {
    circle {
      fill: #40A9FF !important;
    }
  }
}

::ng-deep.jtk-connector {
  path {
    stroke-width: 1px;
    stroke: rgb(150, 158, 162);
  }

  path:last-child {
    fill: rgb(150, 158, 162);
  }

  &.highlighted {
    path {
      stroke-width: 2px !important;
      stroke: #40A9FF !important;
    }

    path:last-child {
      fill: #40A9FF !important;
    }
  }

  &.animated {
    @keyframes dash-offset {
      to {
        stroke-dashoffset: 0;
      }
    }

    // Redefine style of path
    path:first-child {
      stroke-dasharray: 5, 5;
      stroke-linecap: round;
      stroke-dashoffset: 10;
      animation: dash-offset .5s linear infinite;
    }
  }
}
